Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### keyReleased()

Examples

    // Click on the image to give it focus,
    // and then press any key

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void keyReleased() {
      if (value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }

Description | The keyReleased() function is called once every time a key is released. The key that was released will be stored in the key variable. See key and keyReleased for more information.

Syntax

    void keyReleased() {
      statements
    }

Returns | None
Usage | Web & Application
Related | keyPressed key keyCode keyPressed()

Updated on November 22, 2008 08:39:25pm PST